Subject: Re: plant tissue culture mailing list

From: [email-masked] (Peter Lundberg)
Date: 8 Mar 1995 09:15:57 GMT

In article <[email-masked]>
[email-masked] (Mitch Day) writes:

> For a brief time I was subscribed to a plant tissue culture mailing list, 
> but since have had to unsubscribe due to mailbox overload.  Foolishly, I 
> let the address and subscription information slip away into the 

I have the following two addresses (N.B., to the list, not the server):

[email-masked]

[email-masked]

I suppose that the listserver will be at [email-masked]?

73, Peter

O==O ================================== O==O
O==O Peter Lundberg                     O==O
O==O Email: [email-masked]    O==O
O==O ============761.91141============= O==O